---
stylesheet:
  - https://cdnjs.cloudflare.com/ajax/libs/github-markdown-css/5.5.1/github-markdown.css
body_class: markdown-body
css: |-
    .markdown-body { 
        font-size: 9px; 
    }
    .page-break { page-break-after: always; }
---

## Nikolai Rodionov

```
> Location: Hamburg, Germany
> Email: allanger@zohomail.com
> Github: https://github.com/allanger
```
*This CV is built in a CI pipeline, and uploaded to a Minio Bucket, so you should be able to download the latest version here: <https://s3.badhouseplants.net/public-download/n.rodionov.pdf>*

### About me

I'm a DevOps engineer with 5++ years of hands-on experience with a decent amount of tools. My main focus is Kubernetes and CI/CD.

I've got some beliefs that should be capable of describing myself

- One should tend not to repeat oneself
- One should never edit what's constantly generated
- One should aim for lesser amount of work with a bigger outcome
- Unless something is in CI, it doesn't exist
- Human factor must be avoided when possible
- Any routine must be automated, because otherwise it's error-prone

### Experience

| Company          | Position          | Dates               |
|------------------|-------------------|---------------------|
| **Giant Swarm**  | Platform Engineer | 12.2023 - Until Now |
| **Grandcentrix** | SRE               | 02.2023 - 11.2023   |
| **Klöckner.I**   | DevOps Engineer   | 01.2022 - 01.2023   |
| **Itigris**      | DevOps Engineer   | 07.2019 - 12.2021   |
| **Etersoft**     | DevOps Engineer   | 03.2017 - 06.2019   |

#### Tools

- **Environments**: Linux - Containers - Kubernetes - Proxmox
- **Kubernetes**: Helm - Kustomize - Kubebuilder - Helmfile
- **Scripting/Coding**: Bash - Go - Rust - Perl
- **Continuous Integration**: Gitlab-CI - Github Actions - Circle-CI - Woodpecker-CI - Drone-CI
- **Continuous Delivery**: ArgoCD - Flux - Tekton
- **Infrastructure as Code**: Ansible - Terraform - Cluster API
- **Cloud Providers**: Microsoft Azure - Google Cloud - AWS - Yandex Cloud - Hetzner - Self-Hosted
- **Observability**: Prometheus - Grafana - Loki - Elasticsearch - Kibana - FluentBit - Promtail - Fluentd
- **Secrets/Encryption**: Sops - Age - Helm Secrets
- **Databases**: PostgreSQL - MySQL - Percona MySQL - Redis
- **Storages**: Minio - Ceph
